#include "helpers.h"


void initSpeakerAndButtons(){
	
	// Initializeaza speaker-ul si ledul legat la pinul PD7
	DDRD = (1 << PD5) | (1 << PD7);
	
	// Initializeaza butoanele de pe porturile PORTA si PORTC
	DDRA = 0;
	PORTA = 0xff;
	
	DDRC = 0;
	PORTC = 0xff;
}

void initTimer1(){
	
	// Se initializeaza timerul 1 in modul Fast PWM
	// si cu prescalerul 1
	TCCR1B |= (1 << CS10) | (1 << WGM13) | (1 << WGM12);
	TCCR1A |= (1 << WGM11);
	
	// Se seteaza valoarea initiala a pragului
	ICR1 = 60000;
	OCR1B = ICR1 / 4;
	OCR1A = ICR1 / 2;
}

void initTimer2(){
	
	// Initializeaza timer 2 in modul CTC si cu prescaler 1024
	TCCR2 = (1 << WGM21);
	TCCR2 = (1 << CS22) | (1 << CS21) | (1 << CS20);
	
	// Activeaza intreruperi de compare
	TIMSK = (1 << OCIE2);
	
	// seteaza intervalul la care se activeaza intreruperea
	OCR2 = 125;
	
	
}
